This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 584864 - kickstart.profile.downloadKickstart - Kickstart is not rendered by Cobbler
kickstart.profile.downloadKickstart - Kickstart is not rendered by Cobbler
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2010-04-22 11:27 EDT by Aron Parsons
Modified: 2016-01-04 00:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 17:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aron Parsons 2010-04-22 11:27:41 EDT
Description of problem:
The kickstart.profile.downloadKickstart method does not render the Kickstart through Cobbler before returning the content.  

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Retrieve a Kickstart via the kickstart.profile.downloadKickstart() method
  
Actual results:
The Kickstart has not been rendered through Cobbler, leaving all of the Cobbler templating in place.

Expected results:
A rendered Kickstart that is identical to what a client receives and the same as what is viewed by clicking the 'Kickstart File' tab in the Satellite web interface.
Comment 1 Tomas Lestach 2010-07-20 05:51:27 EDT
kickstart.profile.downloadRenderedKickstart() introduced

spacewak.git: 2ddcb7c2bdc5767dd596c5d07032158fb009b028
Comment 2 Clifford Perry 2011-07-20 17:26:47 EDT
kickstart.profile.downloadRenderedKickstart() is within 5.4 Satellite.

Note You need to log in before you can comment on or make changes to this bug.